#include "cell.h" 
#include "simulation.h"

void Cell::advanceTo( double newTime) {
	double dt=newTime-clock;
	if (dt==0) return;
	assert(dt>=-eps);
	for (List<Particle>::iterator it=getParticleIter();
			it.valid();++it) {
				it->run(dt);
			}
			clock=newTime;
};



void CellBorder::doCollisionWith(Particle& p) {
    p.updateOwner();
};

Cell::~Cell()
{

}

