#ifndef COLLISIONEVENT_H
#define COLLISIONEVENT_H
#include "event.h"

class Particle;
class Object;
class CollisionEvent: public Event {
    Particle *p;
    Object* o;
public:
	virtual void doEvent(Simulation *sim);
	CollisionEvent(Particle* p0,Object* o0,double time0):p(p0),o(o0),
	Event(time0) {};
	~CollisionEvent() {};
	Particle *getParticle() {return p;}
    Object *getCollisioner() {return o;}
	void invalidate() {o=0;}
    void *operator new(size_t);
    void operator delete(void*);
};


#endif