#ifndef COMMON_H
#define COMMON_H
#include <cmath>

const double eps=1E-5;
const double infinity=1.0/0.0;

inline bool equal(double a,double b) {
    return (fabs(a-b)<eps);
};    

typedef int CellId;
template <typename T>
inline void swap(T& a, T& b) {
    T p=a;
    a=b;
    b=p;
};    

inline double sqr(double x) {
    return x*x;
};


#endif
