#include "simulation.h"
#include "scripting/init_sim.h"
#include <cstdlib>
#include <cmath>
#include <ctime>
#include <Python.h>

Simulation *sim;

int main() {
    try {
        sim=init_sim("scripts/default.py");
	    printf("starting...\n");
    	clock_t t=clock();
        for (int i=0;i!=50;i++) {
	        printf("%d\n",i);
            sim->advanceBy(100.0);
        };/**/
        
    	{
	    	clock_t t2=clock();
		    t=t2-t;
    	};
	    printf("Elapsed: %d\n",t);
//    sim->run(100.0/maxv);
        printf("Done.\n");
        scanf("a");
    } catch(...) {
        printf("Some exception occured\n");
        PyErr_Print();
    };
};    
