#include <boost/python.hpp>
#include "userEvent.h"
#include "gas/event.h"
#include "gas/simulation.h"
#include <memory>
/*
    UserEvent is constructed from object, which must be callable
*/
using namespace boost::python;
using namespace std;

UserEvent::UserEvent(double time0,object fnc0):Event(time0),fnc(fnc0) {};
void UserEvent::doEvent(Simulation* sim) {
	auto_ptr<Simulation> psim(sim);
    object osim(psim);
    fnc(osim);
    printf("haha\n");
    auto_ptr<Simulation> p=extract<auto_ptr<Simulation> >(osim);
    p.release();
};
