from gas import *;
from math import *;
import random



class Event:
	def __init__(self):
		pass;
	def __call__(self,sim):
		t=sim.getTime();
		print "Event at time %d"%sim.getTime()
		for i in members:
			p=sim.getParticle(i);
			p.setv(0.0,10.0);
			
		t+=0.1;
		e=Event();
#		sim.addEvent(t,e);

def init_sim():
	n=2100;
	maxx=510;
	maxy=460;
	maxv=1;
	radius=1;
	gravity=-0.002;
	global sim;
	global members;
	members=[];
	print "creating sim"
	sim=Simulation(n,4,900,maxx,maxy,gravity);
	print "sim created"
	rows=int(sqrt(n-1)+1);
	xspace=float(maxx-radius-1)/rows;
	yspace=float(maxy-radius-1)/rows;
	r=random.Random(1);
	v=1;
	
	xa=125; ya=50; xlen=55; ylen=55;
	if True:
		w=WallCreator(sim,xa,ya,5);
		print "constructor complete"
		w.addSegmentRel(WallType.wHorizontal,xlen,0,0);
		w.addSegmentRel(WallType.wVertical,ylen,0,0);
		w.addSegmentRel(WallType.wHorizontal,-xlen,0,0);
		w.addSegmentRel(WallType.wVertical,-ylen,0,0);


	for i in range(0,n):
	#	addParticle((i%rows)*radius*spacecoef+radius+10,
	#	maxy-((i/rows)*radius*spacecoef+radius+10),rand()%maxv,rand()%maxv);
		x1=radius+1+(i%rows)*xspace
		y1=radius+1+(i/rows)*yspace
#		print x1,y1
		vx=(2*r.random()-1)*maxv;
		vy=(2*r.random()-1)*maxv;
		alfa=r.random()*2*pi;
		#print "adding object %d"%i
		createParticle(sim,x1,y1,vx,vy,radius,1);
		if xa<x1 and x1<xa+xlen and ya<y1 and y1<ya+ylen:
			members.append(i);
		#print "added object"

	e=Event()
	sim.addEvent(100,e);
	
	return sim;
