#ifndef _SAFEARRAY_CPP
#define _SAFEARRAY_CPP
#include "myassert.h"

template<class T>
class Array {
    private:
        T* data;
        int size;
    public:
        Array(int n) : size(n),data(new T[n]) {};
        T& operator[](int index) {
            assert(index>=0);
            assert(index<size);
            return data[index];
        };    
        ~Array() {
            delete []data;
        };    
};    
#endif //_SAFEARRAY_CPP
