#ifndef COUNTED_H
#define COUNTED_H
template<class T>
class Counted {
	static int count;
	int id;
public:
	Counted():id(count++) {};
	Counted(const Counted&):id(count++) {};
	int getId() const {
		return id;
	};
};

template<class T>
int Counted<T>::count=0;
#endif
