#ifndef CQUEUEITEM_H
#define CQUEUEITEM_H
#include <cassert>
template<class T,class Traits>
class CQueue ;
template <class Value,typename Compare,class Pointer>
class Heap;


class QueueItem {
	mutable int position;

	template<class T,class Traits>
	friend class CQueue;
    template <class Value,typename Compare,class Pointer>
    friend class Heap;
public:
	QueueItem():position(-1) {}
    ~QueueItem() {
        assert(position==-1);  //when destroyed, the queue item cannot still be in queue
    };
};
#endif