#include "heap.cpp"

class Int : public HeapItem {
    public:
        int x;
        Int() : x(0) {};
        Int(int x0):x(x0) {};
};
struct comp {
bool operator()(const Int &a,const Int &b){return a.x<b.x;};
};
//bool comp(const Int &a,const Int &b){return a.x<b.x;};

const int n=1000;
const int iter=100000;
const int max=1000000;
int main() {
    Heap<Int,comp> A(n);
    Int B[n];
    for (int i=0; i!=n;i++) {
        printf("i=%d\n",i);
        B[i].x=rand()%max;
        A.insert(&B[i]);
        A.test();
    };   
    for (int i=0;i!=iter;i++) {
        Int *c;
        if (rand()%2>=0) 
            c=A.getMin();
        else
            c=&B[rand()%n];
//        printf("%3d.  %d\n",i,c->x);
//        A.test();        
        A.remove(c);
//        A.test();
        c->x=rand()%max;
        A.insert(c);
        A.test();
    };  
    printf("All right\n");
    getchar();getchar();
};
