from gas import *;
from math import *;
import random


class Event:
	def __init__(self):
		pass;
	def __call__(self,sim):
		t=sim.getTime();
		print "Event at time %d"%sim.getTime()
		for i in xrange(0,sim.getParticleCount()):
			p=sim.getParticle(i);
			p.setv(0.0,0.0);
			
		t+=1;
		e=Event();
#		sim.addEvent(t,e);

def init_sim():
	n=16000;
	maxx=500;
	maxy=450;
	maxv=1;
	radius=0.01;
	gravity=0;
	global sim;
	print "creating sim"
	sim=Simulation(n,4,8000,maxx,maxy,gravity);
	print "sim created"
	rows=int(sqrt(n-1)+1);
	xspace=float(maxx-radius-1)/rows;
	yspace=float(maxy-radius-1)/rows;
	r=random.Random(1);
	v=1;
	for i in range(0,n):
	#	addParticle((i%rows)*radius*spacecoef+radius+10,
	#	maxy-((i/rows)*radius*spacecoef+radius+10),rand()%maxv,rand()%maxv);
		x1=radius+1+(i%rows)*xspace
		y1=radius+1+(i/rows)*yspace
#		print x1,y1
		vx=(2*r.random()-1)*maxv;
		vy=(2*r.random()-1)*maxv;
		alfa=r.random()*2*pi;
		vx=v*cos(alfa);
		vy=v*sin(alfa);
		#print "adding object %d"%i
		createParticle(sim,x1,y1,vx,vy,radius,1);
		#print "added object"

	return sim;
